//------------------------------------------------------------------
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"
//------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers   2
#property indicator_color1    PaleVioletRed
#property indicator_color2    LimeGreen
#property indicator_width1    3
#property indicator_width2    3

extern double Percent = 0.35;
extern double Ratio   = 0.33;
extern double DotGap  = 0.5;

//
//
//
//
//

double dotDn[];
double dotUp[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,dotDn); SetIndexStyle(0,DRAW_ARROW); SetIndexArrow(0,159);
   SetIndexBuffer(1,dotUp); SetIndexStyle(1,DRAW_ARROW); SetIndexArrow(1,159);
   return(0);
}
int deinit()
{
   return(0);
}

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-2);

   //
   //
   //
   //
   //

      double percent = Percent/100.0;
      for(int i=limit; i>=0; i--)
      {
         bool cond1 = (High[i]-High[i+1])/High[i+1] >= percent;
         bool cond2 = (High[i]>High[ArrayMaximum(High,5,i+1)]);
         bool cond3 = (Close[i]-Low[i])/(High[i]-Low[i])<=Ratio;
         bool cond4 = (Low[i+1]-Low[i])/Low[i+1] >= percent;
         bool cond5 = (Low[i]<Low[ArrayMinimum(Low,5,i+1)]);
         bool cond6 = (High[i]-Close[i])/(High[i]-Low[i])<=Ratio;
            dotDn[i] = EMPTY_VALUE;
            dotUp[i] = EMPTY_VALUE;
               if (cond1 && cond2 && cond3) dotDn[i] = High[i]+iATR(NULL,0,10,i)*DotGap;
               if (cond4 && cond5 && cond6) dotUp[i] = Low[i] -iATR(NULL,0,10,i)*DotGap;
      }
      return(0);
}